Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.util.tokenstream
Class DummyTokenOutputStream

    java.lang.Object
      scone.util.tokenstream.TokenOutputStream
          scone.util.tokenstream.DummyTokenOutputStream

    public class DummyTokenOutputStream

extends TokenOutputStream

a dummy TokenOutputStream. Writes Tokens to nowhere.

Version:
  1.0
Author:
  Volkert Buchmann

Constructor Summary
`DummyTokenOutputStream()` creates a new DummyTokenOutputStream.

Method Summary
`void` | `close()` does nothing
`static TokenOutputStream` | `create(RequestEvent e)` returns null
`protected java.lang.Object` | `getBufferContext()` returns null
`MegObject` | `getClone()` returns null
`java.io.InputStream` | `getInputStream()` returns null
`java.io.Reader` | `getReader()` returns null
`java.io.Reader` | `getReader(java.lang.String encoding)` returns null
`void` | `write(Token token)` does nothing
`void` | `write(Token[] buf)` does nothing
`void` | `write(Token[] buf, int offset, int length)` does nothing

Methods inherited from class scone.util.tokenstream.TokenOutputStream
`flush, getMetaInfo, getTimeout, isClosed, setMetaInfo, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyTokenOutputStream

    public DummyTokenOutputStream()

  creates a new DummyTokenOutputStream. This is an 'empty' implementation of TokenOutputStream. Its methods do nothing.

Method Detail

### create

    public static TokenOutputStream create(RequestEvent e)
                                    throws java.lang.Exception

  returns null

  Returns:
    null
  Throws:
    `java.lang.Exception`

### getInputStream

    public java.io.InputStream getInputStream()

  returns null

  Overrides:
    `getInputStream` in class `TokenOutputStream`
  Returns:
    null

### getReader

    public java.io.Reader getReader()
                             throws java.io.UnsupportedEncodingException,
                                    NotCharDataException

  returns null

  Overrides:
    `getReader` in class `TokenOutputStream`
  Returns:
    null
  Throws:
    `java.io.UnsupportedEncodingException`
    `NotCharDataException`

### getReader

    public java.io.Reader getReader(java.lang.String encoding)
                             throws java.io.UnsupportedEncodingException,
                                    NotCharDataException

  returns null

  Overrides:
    `getReader` in class `TokenOutputStream`
  Parameters:
    `encoding` - the desired character encoding.
  Returns:
    null
  Throws:
    `java.io.UnsupportedEncodingException`
    `NotCharDataException`

### getClone

    public MegObject getClone()

  returns null

  Overrides:
    `getClone` in class `TokenOutputStream`
  Returns:
    null

### write

    public void write(Token[] buf,
                      int offset,
                      int length)
               throws java.io.IOException

  does nothing

  Overrides:
    `write` in class `TokenOutputStream`
  Parameters:
    `buf` - The Token buffer array.
    `offset` - Offset in the array to start writing from.
    `length` - The amount from offset to write.
  Throws:
    `java.io.IOException` - If unable to write to stream.

### write

    public void write(Token token)
               throws java.io.IOException

  does nothing

  Overrides:
    `write` in class `TokenOutputStream`
  Parameters:
    `token` - the Token to write.
  Throws:
    `java.io.IOException` - If unable to write to stream.

### write

    public void write(Token[] buf)
               throws java.io.IOException

  does nothing

  Overrides:
    `write` in class `TokenOutputStream`
  Parameters:
    `buf` - The Token array to write.
  Throws:
    `java.io.IOException` - If unable to write to stream.

### close

    public void close()
               throws java.io.IOException

  does nothing

  Overrides:
    `close` in class `TokenOutputStream`
  Throws:
    `java.io.IOException` - If error occurred closing stream.

### getBufferContext

    protected java.lang.Object getBufferContext()

  returns null

  Overrides:
    `getBufferContext` in class `TokenOutputStream`
  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD